IR.AddListener(IR.EVENT_START,0,function()
{
   var popup = IR.GetItem("Camera");
   var camera = popup.GetItem("Cam");
   camera.GetState(0).ImageStretch = 2;
   var isStart = false;
   
   /**
    * @static
    * Авто поворот камеры
    */
   function rotateCamera() 
   {
   	if(IR.GetVariable("System.OS.Name") !== "Android")
   	{
   		var angle = 0;
         var deviceModel = IR.DeviceModel;
   		if (IR.GetVariable("System.ViewOrientation") === 1)
   			angle = 270;
   		else if (IR.GetVariable("System.ViewOrientation") === 2)
   			angle = deviceModel === 22 ? 270 : 90; // для iphone x
   		else if (IR.GetVariable("System.ViewOrientation") === 3)
   			angle = 0;
   		else if (IR.GetVariable("System.ViewOrientation") === 4)
   			angle = 180;
   
   		IR.Camera(IR.CAMERA_ROTATE, angle);
   	}
   };
   
   /**
    * Включить камеру
    */
   function startCamera() {  
      camera.GetState(0).Image = "ir_camera://";
   	IR.Camera(IR.CAMERA_RECORD, IR.CAMERA_BACK, IR.CAMERA_RESOLUTION_MEDIUM);
   	rotateCamera();
      
      if(!isStart)
   	  IR.AddListener(IR.EVENT_ORIENTATION, 0, rotateCamera);
        
      isStart = true;
   };
   
   /**
    * Выключить камеру
    */
   function stopCamera() {
   	IR.Camera(IR.CAMERA_STOP);
      camera.GetState(0).Image = "";
      isStart = false;
   	IR.RemoveListener(IR.EVENT_ORIENTATION, 0, rotateCamera);
   };
   
    /**
    * Сделать фото
    */
   function makePhoto() {
      // получаем изображение
      var image = IR.GetImage("ir_camera://");
      if(image)
      {
         // получаем Base64 строку
         var base64str = image.RawBase64;
         if(base64str)
         {
           var l_nID = IR.CreateImageFromBuffer("photo", base64str);
           popup.GetItem("image").GetState(0).Image = IR.GetImage(l_nID);
           popup.GetItem("image").GetState(0).ImageStretch = 2;
         }
      }
   }
   
   IR.AddListener(IR.EVENT_ITEM_RELEASE, popup.GetItem("start"), startCamera);
   IR.AddListener(IR.EVENT_ITEM_RELEASE, popup.GetItem("stop"), stopCamera);
   IR.AddListener(IR.EVENT_ITEM_RELEASE, popup.GetItem("photo"), makePhoto);

});